use std::collections::HashMap;

#[derive(Debug)]
#[cfg_attr(test, derive(PartialEq))]
pub(crate) struct KcsHeat {
    pub(crate) values: HashMap<u32, HashMap<u32, f64>>,
}

impl KcsHeat {
    pub fn new(values: HashMap<u32, HashMap<u32, f64>>) -> Self {
        return KcsHeat { values };
    }
}

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    fn test_new() {
        let values = HashMap::from([(123, HashMap::from([(12, 0.2)])), (234, HashMap::from([(23, 0.3), (34, 0.4)]))]);
        let kcs = KcsHeat::new(values.clone());
        assert_eq!(&values, &kcs.values);
    }
}
